package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmTrngCalForm extends HrmBaseForm {
  private String siteId;
  
  private String calId;
  
  private String calendarName;
  
  private String site;
  
  private String startDate;
  
  private String endDate;
  
  private String[] txtStartDate;
  
  private String[] txtEndDate;
  
  private String[] txtInstituteName;
  
  private String[] txtCourseCode;
  
  private String[] txtType;
  
  private String[] txtStrength;
  
  private String[] txtFee;
  
  private String[] txtRatingScheme;
  
  private String[] txtStatus;
  
  private ArrayList arrHrmTrngCal = new ArrayList();
  
  private String selectAll;
  
  private String siteName;
  
  private String[] txtInsCode;
  
  private String[] txtCourseId;
  
  private String[] txtInstId;
  
  private String disabsiteId;
  
  private String disabcalId;
  
  private String disabcalendarName;
  
  private String disabsite;
  
  private String disabstartDate;
  
  private String disabendDate;
  
  private String disabtxtStartDate;
  
  private String disabtxtEndDate;
  
  private String disabtxtInstituteName;
  
  private String disabtxtCourseCode;
  
  private String disabtxtType;
  
  private String disabtxtStrength;
  
  private String disabtxtFee;
  
  private String disabtxtRatingScheme;
  
  private String disabtxtStatus;
  
  private String disabselectAll;
  
  private String disabsiteName;
  
  private String disabtxtInsCode;
  
  private String disabtxtCourseId;
  
  private String disabbutCalendarName;
  
  private String disabbutSite;
  
  private String disabbutStartDate;
  
  private String disabbutEndDate;
  
  private String disabTxtInstituteName;
  
  private String disabTxtCourseCode;
  
  private String disabbutTxtStartDate;
  
  private String disabbutTxtEndDate;
  
  private String disabbutRating;
  
  private String[] ratingId;
  
  private String[] txtCourseName;
  
  private String[] txtVenue;
  
  private String[] txtDuration;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getCalendarName() {
    return this.calendarName;
  }
  
  public void setCalendarName(String newCalendarName) {
    this.calendarName = newCalendarName;
  }
  
  public String getSite() {
    return this.site;
  }
  
  public void setSite(String newSite) {
    this.site = newSite;
  }
  
  public String[] getTxtStartDate() {
    return this.txtStartDate;
  }
  
  public void setTxtStartDate(String[] newTxtStartDate) {
    this.txtStartDate = newTxtStartDate;
  }
  
  public String[] getTxtEndDate() {
    return this.txtEndDate;
  }
  
  public void setTxtEndDate(String[] newTxtEndDate) {
    this.txtEndDate = newTxtEndDate;
  }
  
  public String[] getTxtInstituteName() {
    return this.txtInstituteName;
  }
  
  public void setTxtInstituteName(String[] newTxtInstituteName) {
    this.txtInstituteName = newTxtInstituteName;
  }
  
  public String[] getTxtCourseCode() {
    return this.txtCourseCode;
  }
  
  public void setTxtCourseCode(String[] newTxtCourseCode) {
    this.txtCourseCode = newTxtCourseCode;
  }
  
  public String[] getTxtType() {
    return this.txtType;
  }
  
  public void setTxtType(String[] newTxtType) {
    this.txtType = newTxtType;
  }
  
  public String[] getTxtStrength() {
    return this.txtStrength;
  }
  
  public void setTxtStrength(String[] newTxtStrength) {
    this.txtStrength = newTxtStrength;
  }
  
  public String[] getTxtFee() {
    return this.txtFee;
  }
  
  public void setTxtFee(String[] newTxtFee) {
    this.txtFee = newTxtFee;
  }
  
  public String[] getTxtRatingScheme() {
    return this.txtRatingScheme;
  }
  
  public void setTxtRatingScheme(String[] newTxtRatingScheme) {
    this.txtRatingScheme = newTxtRatingScheme;
  }
  
  public String[] getTxtStatus() {
    return this.txtStatus;
  }
  
  public void setTxtStatus(String[] newTxtStatus) {
    this.txtStatus = newTxtStatus;
  }
  
  public String getStartDate() {
    return this.startDate;
  }
  
  public void setStartDate(String newStartDate) {
    this.startDate = newStartDate;
  }
  
  public String getEndDate() {
    return this.endDate;
  }
  
  public void setEndDate(String newEndDate) {
    this.endDate = newEndDate;
  }
  
  public ArrayList getArrHrmTrngCal() {
    return this.arrHrmTrngCal;
  }
  
  public void setArrHrmTrngCal(ArrayList newArrHrmTrngCal) {
    this.arrHrmTrngCal = newArrHrmTrngCal;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getSiteName() {
    return this.siteName;
  }
  
  public void setSiteName(String newSiteName) {
    this.siteName = newSiteName;
  }
  
  public String getCalId() {
    return this.calId;
  }
  
  public void setCalId(String newCalId) {
    this.calId = newCalId;
  }
  
  public String getSiteId() {
    return this.siteId;
  }
  
  public void setSiteId(String newSiteId) {
    this.siteId = newSiteId;
  }
  
  public String[] getTxtInsCode() {
    return this.txtInsCode;
  }
  
  public void setTxtInsCode(String[] newTxtInsCode) {
    this.txtInsCode = newTxtInsCode;
  }
  
  public String[] getTxtCourseId() {
    return this.txtCourseId;
  }
  
  public String[] getTxtInstId() {
    return this.txtInstId;
  }
  
  public void setTxtCourseId(String[] newTxtCourseId) {
    this.txtCourseId = newTxtCourseId;
  }
  
  public void setTxtInstId(String[] newTxtInstId) {
    this.txtInstId = newTxtInstId;
  }
  
  public String getDisabsiteId() {
    return this.disabsiteId;
  }
  
  public void setDisabsiteId(String newDisabsiteId) {
    this.disabsiteId = newDisabsiteId;
  }
  
  public String getDisabcalId() {
    return this.disabcalId;
  }
  
  public void setDisabcalId(String newDisabcalId) {
    this.disabcalId = newDisabcalId;
  }
  
  public String getDisabcalendarName() {
    return this.disabcalendarName;
  }
  
  public void setDisabcalendarName(String newDisabcalendarName) {
    this.disabcalendarName = newDisabcalendarName;
  }
  
  public String getDisabsite() {
    return this.disabsite;
  }
  
  public void setDisabsite(String newDisabsite) {
    this.disabsite = newDisabsite;
  }
  
  public String getDisabstartDate() {
    return this.disabstartDate;
  }
  
  public void setDisabstartDate(String newDisabstartDate) {
    this.disabstartDate = newDisabstartDate;
  }
  
  public String getDisabendDate() {
    return this.disabendDate;
  }
  
  public void setDisabendDate(String newDisabendDate) {
    this.disabendDate = newDisabendDate;
  }
  
  public String getDisabtxtStartDate() {
    return this.disabtxtStartDate;
  }
  
  public void setDisabtxtStartDate(String newDisabtxtStartDate) {
    this.disabtxtStartDate = newDisabtxtStartDate;
  }
  
  public String getDisabtxtEndDate() {
    return this.disabtxtEndDate;
  }
  
  public void setDisabtxtEndDate(String newDisabtxtEndDate) {
    this.disabtxtEndDate = newDisabtxtEndDate;
  }
  
  public String getDisabtxtInstituteName() {
    return this.disabtxtInstituteName;
  }
  
  public void setDisabtxtInstituteName(String newDisabtxtInstituteName) {
    this.disabtxtInstituteName = newDisabtxtInstituteName;
  }
  
  public String getDisabtxtCourseCode() {
    return this.disabtxtCourseCode;
  }
  
  public void setDisabtxtCourseCode(String newDisabtxtCourseCode) {
    this.disabtxtCourseCode = newDisabtxtCourseCode;
  }
  
  public String getDisabtxtType() {
    return this.disabtxtType;
  }
  
  public void setDisabtxtType(String newDisabtxtType) {
    this.disabtxtType = newDisabtxtType;
  }
  
  public String getDisabtxtStrength() {
    return this.disabtxtStrength;
  }
  
  public void setDisabtxtStrength(String newDisabtxtStrength) {
    this.disabtxtStrength = newDisabtxtStrength;
  }
  
  public String getDisabtxtFee() {
    return this.disabtxtFee;
  }
  
  public void setDisabtxtFee(String newDisabtxtFee) {
    this.disabtxtFee = newDisabtxtFee;
  }
  
  public String getDisabtxtRatingScheme() {
    return this.disabtxtRatingScheme;
  }
  
  public void setDisabtxtRatingScheme(String newDisabtxtRatingScheme) {
    this.disabtxtRatingScheme = newDisabtxtRatingScheme;
  }
  
  public String getDisabtxtStatus() {
    return this.disabtxtStatus;
  }
  
  public void setDisabtxtStatus(String newDisabtxtStatus) {
    this.disabtxtStatus = newDisabtxtStatus;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public String getDisabsiteName() {
    return this.disabsiteName;
  }
  
  public void setDisabsiteName(String newDisabsiteName) {
    this.disabsiteName = newDisabsiteName;
  }
  
  public String getDisabtxtInsCode() {
    return this.disabtxtInsCode;
  }
  
  public void setDisabtxtInsCode(String newDisabtxtInsCode) {
    this.disabtxtInsCode = newDisabtxtInsCode;
  }
  
  public String getDisabtxtCourseId() {
    return this.disabtxtCourseId;
  }
  
  public void setDisabtxtCourseId(String newDisabtxtCourseId) {
    this.disabtxtCourseId = newDisabtxtCourseId;
  }
  
  public String getDisabbutCalendarName() {
    return this.disabbutCalendarName;
  }
  
  public void setDisabbutCalendarName(String newDisabbutCalendarName) {
    this.disabbutCalendarName = newDisabbutCalendarName;
  }
  
  public String getDisabbutSite() {
    return this.disabbutSite;
  }
  
  public void setDisabbutSite(String newDisabbutSite) {
    this.disabbutSite = newDisabbutSite;
  }
  
  public String getDisabbutStartDate() {
    return this.disabbutStartDate;
  }
  
  public void setDisabbutStartDate(String newDisabbutStartDate) {
    this.disabbutStartDate = newDisabbutStartDate;
  }
  
  public String getDisabbutEndDate() {
    return this.disabbutEndDate;
  }
  
  public void setDisabbutEndDate(String newDisabbutEndDate) {
    this.disabbutEndDate = newDisabbutEndDate;
  }
  
  public String getDisabTxtInstituteName() {
    return this.disabTxtInstituteName;
  }
  
  public void setDisabTxtInstituteName(String newDisabTxtInstituteName) {
    this.disabTxtInstituteName = newDisabTxtInstituteName;
  }
  
  public String getDisabTxtCourseCode() {
    return this.disabTxtCourseCode;
  }
  
  public void setDisabTxtCourseCode(String newDisabTxtCourseCode) {
    this.disabTxtCourseCode = newDisabTxtCourseCode;
  }
  
  public String getDisabbutTxtStartDate() {
    return this.disabbutTxtStartDate;
  }
  
  public void setDisabbutTxtStartDate(String newDisabbutTxtStartDate) {
    this.disabbutTxtStartDate = newDisabbutTxtStartDate;
  }
  
  public String getDisabbutTxtEndDate() {
    return this.disabbutTxtEndDate;
  }
  
  public void setDisabbutTxtEndDate(String newDisabbutTxtEndDate) {
    this.disabbutTxtEndDate = newDisabbutTxtEndDate;
  }
  
  public String getDisabbutRating() {
    return this.disabbutRating;
  }
  
  public void setDisabbutRating(String newDisabbutRating) {
    this.disabbutRating = newDisabbutRating;
  }
  
  public String[] getRatingId() {
    return this.ratingId;
  }
  
  public void setRatingId(String[] newRatingId) {
    this.ratingId = newRatingId;
  }
  
  public String[] getTxtCourseName() {
    return this.txtCourseName;
  }
  
  public void setTxtCourseName(String[] newTxtCourseName) {
    this.txtCourseName = newTxtCourseName;
  }
  
  public String[] getTxtVenue() {
    return this.txtVenue;
  }
  
  public void setTxtVenue(String[] newTxtVenue) {
    this.txtVenue = newTxtVenue;
  }
  
  public String[] getTxtDuration() {
    return this.txtDuration;
  }
  
  public void setTxtDuration(String[] newTxtDuration) {
    this.txtDuration = newTxtDuration;
  }
}
